'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
var React = require('react');
function _interopNamespace(e) {
  if (e && e.__esModule) return e;
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () {
            return e[k];
          }
        });
      }
    });
  }
  n["default"] = e;
  return Object.freeze(n);
}
var React__namespace = /*#__PURE__*/_interopNamespace(React);

/**
 * @deprecated Does nothing.
 */
var LocaleContextProvider = function (_a) {
  var children = _a.children;
  return React__namespace.createElement(React__namespace.Fragment, null, children);
};
var mapLangAttributeToLocale = function (lang) {
  switch ((lang !== null && lang !== void 0 ? lang : 'en').substring(0, 2)) {
    case 'de':
      return 'de-DE';
    case 'es':
      return 'es-ES';
    case 'fi':
      return 'fi-FI';
    case 'fr':
      return 'fr-FR';
    case 'it':
      return 'it-IT';
    case 'nl':
      return 'nl-NL';
    case 'sv':
      return 'sv-SE';
    case 'pl':
      return 'pl-PL';
    case 'pt':
      return 'pt-PT';
    case 'ca':
      return 'ca';
    case 'hr':
      return 'hr';
    case 'cs':
      return 'cs';
    case 'da':
      return 'da';
    case 'hu':
      return 'hu';
    case 'nb':
      return 'nb';
    case 'ro':
      return 'ro';
    case 'tr':
      return 'tr';
    default:
      return 'en-GB';
  }
};
var defaultLocale = {
  locale: 'en-GB'
};
/**
 * @deprecated Within monorepo, use locally available i18n utils instead.
 *
 * This hook uses the `html` language attribtues to return the locale data.
 * @example Use it, reading locale from `html` attributes
 * ```js
 * const { locale } = useLocale();
 * assertEqual(locale, 'en-GB');
 */
function useLocale() {
  var doc = document === null || document === void 0 ? void 0 : document.documentElement;
  if (!doc) {
    return defaultLocale;
  }
  var locale = mapLangAttributeToLocale(doc.getAttribute('lang'));
  if (locale) {
    return {
      locale: locale
    };
  }
  return defaultLocale;
}
exports.LocaleContextProvider = LocaleContextProvider;
exports.useLocale = useLocale;
//# sourceMappingURL=index.js.map
